Bug 405087 - Request: (Option to) replace icon with that of active window, if a window is active
Summary: Request: (Option to) replace icon with that of active window, if a window is ...
Status: RESOLVED FIXED
Alias: None
Product: plasmashell
Classification: Unclassified
Component: Window List (show other bugs)
Version: 5.15.2
Platform: Other Linux
: NOR normal
Target Milestone: 1.0
Assignee: Plasma Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-03-04 20:08 UTC by andydecleyre
Modified: 2022-04-03 17:57 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description andydecleyre 2019-03-04 20:08:11 UTC
It would be very nice if this applet's icon were, when available, the icon for the currently active window, just as in https://github.com/psifidotos/applet-window-title . It could "fall back" to the currently used icon if no active window is detected.

I think this is clear, but let me know if it's not.

As it is, the icon alone doesn't convey much information, when it could, without taking up any additional space.
Comment 1 Eike Hein 2019-03-04 20:22:15 UTC
Very good idea.
Comment 2 Nate Graham 2022-04-03 17:57:19 UTC
Git commit 48a0fc3719de3a87c394af905b16f8cedb9b6c08 by Nate Graham, on behalf of Jan Blackquill.
Committed on 03/04/2022 at 17:49.
Pushed by ngraham into branch 'master'.

applets/windowlist: rewrite

This rewrites the Window List applet, in order to
have simpler code, as well as having a more useful
design that tells the user what app is in focus.
Related: bug 387582

A  +74   -0    applets/window-list/contents/ui/MenuButton.qml     [License: GPL(v2.0+)]
M  +64   -242  applets/window-list/contents/ui/main.qml

https://invent.kde.org/plasma/plasma-desktop/commit/48a0fc3719de3a87c394af905b16f8cedb9b6c08